org.eclipse.microprofile.rest.client

## Class AbstractBuilder

- java.lang.Object
- - org.eclipse.microprofile.rest.client.AbstractBuilder

All Implemented Interfaces:
  jakarta.ws.rs.core.Configurable<org.eclipse.microprofile.rest.client.RestClientBuilder>, org.eclipse.microprofile.rest.client.RestClientBuilder

Direct Known Subclasses:
  BuilderImpl1, BuilderImpl2

    public abstract class AbstractBuilder
    extends Object
    implements org.eclipse.microprofile.rest.client.RestClientBuilder

### Constructor Summary

Constructors
Constructor and Description
`AbstractBuilder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`jakarta.ws.rs.core.Configuration` `getConfiguration()`
`AbstractBuilder` `property(String s, Object o)`
`AbstractBuilder` `register(Class<?> aClass)`
`AbstractBuilder` `register(Class<?> aClass, Class<?>... classes)`
`AbstractBuilder` `register(Class<?> aClass, int i)`
`AbstractBuilder` `register(Class<?> aClass, Map<Class<?>,Integer> map)`
`AbstractBuilder` `register(Object o)`
`AbstractBuilder` `register(Object o, Class<?>... classes)`
`AbstractBuilder` `register(Object o, int i)`
`AbstractBuilder` `register(Object o, Map<Class<?>,Integer> map)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.microprofile.rest.client.RestClientBuilder

`baseUri, baseUrl, build, connectTimeout, executorService, followRedirects, hostnameVerifier, keyStore, newBuilder, proxyAddress, queryParamStyle, readTimeout, sslContext, trustStore`

### Constructor Detail

#### AbstractBuilder

    public AbstractBuilder()

### Method Detail

#### getConfiguration

    public jakarta.ws.rs.core.Configuration getConfiguration()

Specified by:
  `getConfiguration` in interface `jakarta.ws.rs.core.Configurable<org.eclipse.microprofile.rest.client.RestClientBuilder>`

#### property

    public AbstractBuilder property(String s,
                                    Object o)

Specified by:
  `property` in interface `jakarta.ws.rs.core.Configurable<org.eclipse.microprofile.rest.client.RestClientBuilder>`

#### register

    public AbstractBuilder register(Class<?> aClass)

Specified by:
  `register` in interface `jakarta.ws.rs.core.Configurable<org.eclipse.microprofile.rest.client.RestClientBuilder>`

#### register

    public AbstractBuilder register(Class<?> aClass,
                                    int i)

Specified by:
  `register` in interface `jakarta.ws.rs.core.Configurable<org.eclipse.microprofile.rest.client.RestClientBuilder>`

#### register

    public AbstractBuilder register(Class<?> aClass,
                                    Class<?>... classes)

Specified by:
  `register` in interface `jakarta.ws.rs.core.Configurable<org.eclipse.microprofile.rest.client.RestClientBuilder>`

#### register

    public AbstractBuilder register(Class<?> aClass,
                                    Map<Class<?>,Integer> map)

Specified by:
  `register` in interface `jakarta.ws.rs.core.Configurable<org.eclipse.microprofile.rest.client.RestClientBuilder>`

#### register

    public AbstractBuilder register(Object o)

Specified by:
  `register` in interface `jakarta.ws.rs.core.Configurable<org.eclipse.microprofile.rest.client.RestClientBuilder>`

#### register

    public AbstractBuilder register(Object o,
                                    int i)

Specified by:
  `register` in interface `jakarta.ws.rs.core.Configurable<org.eclipse.microprofile.rest.client.RestClientBuilder>`

#### register

    public AbstractBuilder register(Object o,
                                    Class<?>... classes)

Specified by:
  `register` in interface `jakarta.ws.rs.core.Configurable<org.eclipse.microprofile.rest.client.RestClientBuilder>`

#### register

    public AbstractBuilder register(Object o,
                                    Map<Class<?>,Integer> map)

Specified by:
  `register` in interface `jakarta.ws.rs.core.Configurable<org.eclipse.microprofile.rest.client.RestClientBuilder>`